<?php

class RegisterCss extends CWidget
{
    /**
     * ID that uniquely identifies this piece of CSS code
     * @var string 
     */
    public $id;
    /**
     * media that the CSS code should be applied to. If empty, it means all media types.
     * @var string 
     */
    public $media='';
    /**
     * Remove first and last line from widget content
     * @var boolean 
     */
    public $removeFirstLastLine=true;
    
    // this method is called by CController::beginWidget()
    public function init()
    {       
        ob_start();
    }
 
    // this method is called by CController::endWidget()
    public function run()
    {
        $content = ob_get_clean();
        if($this->removeFirstLastLine)
        {
            $content=trim($content);
            $content=substr($content, (strpos($content, "\n")+1));
            $content=substr($content, 0, strrpos($content, "\n"));
        }
        Yii::app()->clientScript->registerCss(
            $this->id?$this->id:uniqid(),
            $content,
            $this->media
        );
    }
}
