<?php

class RegisterScript extends CWidget
{
    /**
     * ID that uniquely identifies this piece of JavaScript code
     * @var string 
     */
    public $id;
    /**
     * the position of the JavaScript code. Valid values include the following:
     *  CClientScript::POS_HEAD : the script is inserted in the head section right before the title element.
     *  CClientScript::POS_BEGIN : the script is inserted at the beginning of the body section.
     *  CClientScript::POS_END : the script is inserted at the end of the body section.
     *  CClientScript::POS_LOAD : the script is inserted in the window.onload() function.
     *  CClientScript::POS_READY : the script is inserted in the jQuery's ready function.
     * @var int 
     */
    public $position;
    /**
     * Remove first and last line from widget content
     * @var boolean 
     */
    public $removeFirstLastLine=true;
    
    // this method is called by CController::beginWidget()
    public function init()
    {       
        ob_start();
    }
 
    // this method is called by CController::endWidget()
    public function run()
    {
        $content = ob_get_clean();
        if($this->removeFirstLastLine)
        {
            $content=trim($content);
            $content=substr($content, (strpos($content, "\n")+1));
            $content=substr($content, 0, strrpos($content, "\n"));
        }
        Yii::app()->clientScript->registerScript(
            $this->id?$this->id:uniqid(),
            $content,
            $this->position?$this->position:CClientScript::POS_READY
        );
    }
}
